记录黑客技术中优秀的内容, 传播黑客文化,分享黑客技术精华

PHP本地堆溢出漏洞威胁

2016-09-13 13:05

NULL-LIFE团队的Fernando向PHP官方提交了PHP“bcmath.c”库中的本地堆溢出漏洞。绿盟科技安全团队发现www.securityfocus.com 网站对PHP“bcmath.c”多个本地堆溢出漏洞做了更新,其中涉及到的CVE编号分别为:CVE-2016-4537和CVE-2016-4538。2016年4月24日,NULL-LIFE团队的Fernando向PHP官方提交了PHP“bcmath.c”库中的本地堆溢出漏洞。具体地址如下: https://bugs.php.net/bug.php?id=72093 2016年4月25日,官方进行了代码修复。具体地址如下: https://github.com/php/php-src/commit/d650063a0457aec56364e4005a636dc6c401f9cd 2016年8月18日,官方发布了修复漏洞后的最新版本。 2016年9月9日,绿盟科技安全团队发现www.securityfocus.com 网站对PHP“bcmath.c”多个本地堆溢出漏洞做了更新,其中涉及到的CVE编号分别为:CVE-2016-4537和CVE-2016-4538。 CVE-2016-4537漏洞存在于ext/bcmath/bcmath.c库中的bcpowmod函数中,攻击者可以在远程调用该函数的时候故意传入一个负整数参数,从而导致拒绝服务或者其他尚未明确的影响。 CVE-2016-4538漏洞存在于ext/bcmath/bcmath.c库中的bcpowmod函数中,该函数在对特定数据结构做修改的时候未对相应变量进行校验,可以导致攻击者使用精心构造的代码实施拒绝服务攻击或者其他尚未明确的影响。 文章目录 绿盟科技威胁预警级别影响的版本不受影响的版本修复方法声 明关于绿盟科技绿盟科技威胁预警级别 中级:影响范围可控,危害程度可控,利用难度较高,7*8小时内部应急跟踪,72小时内完成技术分析、产品升级和防护方案。 影响的版本 PHP版本 < 5.5.35PHP版本 5.6.x < 5.6.21PHP版本 7.x < 7.0.6不受影响的版本 PHP版本 >= 5.5.35PHP版本 5.6.x >= 5.6.21PHP版本 7.x >= 7.0.6修复方法 如果所使用的PHP为受影响的版本,请尽快升级到不受影响的PHP版本官方升级地址如下: http://php.net/downloads.php

知识来源: www.2cto.com/Article/201609/547386.html

阅读:114220 | 评论:0 | 标签:溢出 漏洞

想收藏或者和大家分享这篇好文章→复制链接地址

“PHP本地堆溢出漏洞威胁”共有0条留言

发表评论

姓名:

邮箱:

网址:

验证码:

公告

九层之台,起于累土;黑客之术,始于阅读

推广

工具

标签云

本页关键词